Требования к OwnCloud | DATAENGINER

Требования к OwnCloud

Добрый день! Так как OwnCloud развивается медленнее и чтобы не возникло проблем у вас при установки, публикую системные требования для установки публичной 10 версии OwnCloud.

ПлатформаОпции
Операционная системаUbuntu 18.04 LTS
База данныхMariaDB 10+
веб серверApache 2.4 с prefork and mod_php
PHP Runtime7.2

Официально поддерживаемые среды

сервер

ПлатформаОпции
Операционная системаUbuntu 16.04 и 18.04 Debian 8 и 9 SUSE Linux Enterprise Server 12 с SP4 и 15 Red Hat Enterprise Linux /Centos 7.5 и 8 Fedora 28 и 29openSUSE Leap 42.3 и 15
База данныхMySQL 8+ или MariaDB 10+ (РЕКОМЕНДУЕТСЯ)Oracle 12g PostgreSQL 9 (версии 10 и выше пока не поддерживается)SQLite (НЕ ДЛЯ ПРОИЗВОДСТВА)
веб серверApache 2.4 с preforkиmod_php
PHP Runtime7.0, 7.1 и 7.2

Если вы используете Ubuntu 16.04 и хотите использовать PHP 7.x:

  • PHP 7.1 и 7.2 доступны только через PPA. Чтобы добавить в PPA (Personal Package Archive) в вашу систему, используйте следующую команду: sudo add-apt-repository ppa:user/ppa-name.
  • Устанавливаемый стандарт PHP 7.2, но вы должны установить некоторые обязательные модули самостоятельно, например, intl .

Рекомендуется использовать PHP 7.2, так как более старые версии достигли EOL и будут устаревшими для использования с ownCloud Server в будущем выпуске.

  • Red Hat Enterprise Linux и Centos 7 являются только 64-битными.
  • Oracle 11g поддерживается только для редакции Enterprise.
  • SQLite НЕ ДЛЯ ПРОИЗВОДСТВА.

Следующие настройки базы данных в настоящее время требуются, если вы используете ownCloud вместе с базой данных MySQL или MariaDB:

мобильный

  • iOS 9.0+
  • Android 4.4+

Веб-браузер

  • Edge (текущая версия для Windows 10)
  • IE11 или новее (кроме режима совместимости)
  • Firefox 60 ESR или новее
  • Chrome 66 или новее
  • Safari 10 или новее

Гипервизоры

  • Hyper-V,
  • VMware ESX
  • Xen
  • KVM

рабочий стол

  • Windows 7+
  • Mac OS X 10.10+ (только 64-разрядная версия )
  • CentOS 7 (только 64-разрядная версия)
  • Debian 8.0 и 9.0
  • Fedora 29 & 30
  • Ubuntu 16.04 и 18.04
  • openSUSE Leap 42.3 и openSUSE 15
Для дистрибутивов Linux OwnCloud поддерживает, если это технически осуществимо, последние 2 версии для каждой платформы и предыдущую LTS .


Постоянный редактор и автор сайта

Leave a reply:

Your email address will not be published.